> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Documents

> List all knowledge documents.



## OpenAPI

````yaml /openapi-v1.json get /api/v1/documents
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/documents:
    get:
      tags:
        - Documents
      summary: List Documents
      description: List all knowledge documents.
      operationId: core_api_v1_controllers_documents_list_documents
      parameters:
        - in: query
          name: page
          schema:
            default: 1
            title: Page
            type: integer
          required: false
        - in: query
          name: page_size
          schema:
            default: 50
            title: Page Size
            type: integer
          required: false
        - in: query
          name: source_name
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Source Name
          required: false
        - in: query
          name: search_title
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search Title
          required: false
        - in: query
          name: include_content
          schema:
            default: false
            title: Include Content
            type: boolean
          required: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocumentListOut'
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    DocumentListOut:
      description: Paginated list of document summaries.
      properties:
        object:
          default: list
          title: Object
          type: string
        data:
          items:
            $ref: '#/components/schemas/DocumentSummaryOut'
          title: Data
          type: array
        has_more:
          title: Has More
          type: boolean
        total:
          title: Total
          type: integer
      required:
        - data
        - has_more
        - total
      title: DocumentListOut
      type: object
    DocumentSummaryOut:
      description: Document response without content (for list endpoints).
      properties:
        object:
          default: document
          title: Object
          type: string
        id:
          title: Id
          type: string
        title:
          title: Title
          type: string
        page_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Page Id
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        public_display:
          default: true
          title: Public Display
          type: boolean
        default_language:
          default: en
          title: Default Language
          type: string
        source_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Id
        source_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Name
        parent_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Parent Id
        position:
          default: 0
          title: Position
          type: integer
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
      required:
        - id
        - title
      title: DocumentSummaryOut
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````